Skip to main content
POST
Upload an Individual Avatar

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

contactIndividualId
string
required

(Required) The contact individual identifier.

Response

OK

id
string

The unique identifier of the record in Virtuous.

contactId
string

The identifier of the contact this record belongs to.

prefix
string
firstName
string
middleName
string
lastName
string
suffix
string
gender
string
isPrimary
string

When true, this is the primary record for the contact.

canBePrimary
string

When true, this record is eligible to be made the primary one.

isSecondary
string

When true, this is the secondary record for the contact.

canBeSecondary
string

When true, this record is eligible to be made the secondary one.

birthMonth
string
birthDay
string
birthYear
string
birthDate
string
approximateAge
string
isDeceased
string
passion
string
avatarUrl
string
contactMethods
object[]
createDateTimeUtc
string

The UTC date and time the record was created.

createdByUser
string

The name of the user who created the record.

modifiedDateTimeUtc
string

The UTC date and time the record was last modified.

modifiedByUser
string

The name of the user who last modified the record.

customFields
object[]

The custom field values stored on the record.

customCollections
object[]

The custom collection instances stored on the record.

Last modified on August 11, 2026